#A simple python script that reads in omegam and sigma8
#and plots using chainconsumer [https://samreay.github.io/ChainConsumer/] is:

import numpy as np
import os
import sys

sys.path.append('/Library/Python/2.7/site-packages')

from chainconsumer import ChainConsumer

import matplotlib.pyplot as plt

c = ChainConsumer()

names=['$\\Omega_m$','$S_8$']

file = 'd_l3.txt'

f =open(file)
ch=[]
w=[]

for i,line in enumerate(f):
        words=line.split()
        om=float(words[0])  #as described in the first line, omegam is the 1st entry on each line
        sigma8=float(words[26]) ## as described on the first line, sigma8 is the 27 entry in each line
        s8=(om/0.3)**.5*sigma8
        ch.append([om,s8])
        w.append(float(words[28]))
w=np.array(w)
ch=np.array(ch)
f.close()
c.add_chain(ch,parameters=names,weights=w,name=r'\textbf{DES Y1 All}')

## Then after adding 2 more chains

c.configure(plot_hists=False,sigma2d=False,kde=1.5, colors=["g", "r","b"], linewidths=1.2, 
	legend_kwargs={"loc": "upper right", "fontsize": 10},
	legend_color_text=True, legend_location=(-1, 0),diagonal_tick_labels=False)

fig = c.plotter.plot(legend='t',figsize="column")

fig.savefig('omegams8.pdf', bbox_inches="tight", 
	dpi=300, transparent=True, pad_inches=0.05)
